FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-10-2010, 03:59 PM
Stroller
 
Default Qt3 deprecated, but Qt4 still not x86 (only ~x86)???

Hi there,

Upgrading some packages today I saw:

Qt3 is deprecated and unsupported, both upstream and by the Gentoo Qt
Project. x11-libs/qt:3 will be removed from portage soon. See
http://archives.gentoo.org/gentoo-dev/msg_f988855f798764822704bbbd743ab6f7.xml
You are encouraged to use Qt4 instead.

However when I try to resolve this, I find that only 3.3 versions are
marked as stable:


$ eix x11-libs/qt$
[i] x11-libs/qt
Available versions:
(3) 3.3.8b-r1 3.3.8b-r2
(4) [M]4.5.3 [M]~4.6.1
{cups dbus debug doc examples firebird immqt immqt-bc ipv6
kde mysql nas nis odbc opengl postgres qt3support sqlite xinerama}
Installed versions: 3.3.8b-r2(3)(14:05:56 10/02/10)(cups doc
examples -debug -firebird -immqt -immqt-bc -ipv6 -mysql -nas -nis -
odbc -opengl -postgres -sqlite -xinerama)

Homepage: http://qt.nokia.com/
Description: The Qt toolkit is a comprehensive C++
application development framework


$


Is anyone else seeing this, please?

The message posted to Gentoo-dev suggests that Qt3 is going away right
about NOW, but this doesn't seem to add up to what I'm seeing.


Thanks in advance for any comments,

Stroller.
 
Old 02-10-2010, 04:18 PM
Volker Armin Hemmann
 
Default Qt3 deprecated, but Qt4 still not x86 (only ~x86)???

On Mittwoch 10 Februar 2010, Stroller wrote:

because qt-VERSION is being phased out. You are supposed to use the split qt
ebuilds. qt-VERSION is just a meta package.

And luckily, all qt-BLABLA-4.5.3 ebuilds are marked stable.

ALSO:
from the qt-4.5.3 ebuild:

KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 -sparc x86"

when was the last time you sync'ed?
 
Old 02-10-2010, 04:22 PM
BRM
 
Default Qt3 deprecated, but Qt4 still not x86 (only ~x86)???

----- Original Message ----

> From: Volker Armin Hemmann <volkerarmin@googlemail.com>
> To: gentoo-user@lists.gentoo.org
> Sent: Wed, February 10, 2010 12:18:59 PM
> Subject: Re: [gentoo-user] Qt3 deprecated, but Qt4 still not x86 (only ~x86)???
> ALSO:
> from the qt-4.5.3 ebuild:
>
> KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 -sparc x86"
>
> when was the last time you sync'ed?

http://gentoo-portage.com/x11-libs/qt

shows the same thing - qt-4.5.3 is hard masked.

Ben
 
Old 02-10-2010, 04:33 PM
Neil Bothwick
 
Default Qt3 deprecated, but Qt4 still not x86 (only ~x86)???

On Wed, 10 Feb 2010 16:59:16 +0000, Stroller wrote:

> The message posted to Gentoo-dev suggests that Qt3 is going away right
> about NOW, but this doesn't seem to add up to what I'm seeing.

The message says it will be masked on Feb 21st and removed on March 21st.
So you have eleven days to add it to package.unmask and nearly six weeks
before you need to add the kde-sunset overlay. That's assuming the ebuilds
that depend on QT3 haven't been updated to wiork with QT4, which is
highly likely as that would require upstream changes for most of them too.

It's a minor inconvenience, but they are giving us a decent warning.


--
Neil Bothwick

Earlier, I didn't have time to finish anything. This time I w
 

Thread Tools




All times are GMT. The time now is 09:34 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org